import { SignalIndicator } from '../../services/WebSocket/typedef';
import { Controls, LazyControls, State } from './typedef';
export declare const useSubscription: <Res, Err = string, Signal extends SignalIndicator = SignalIndicator>(signal: Signal) => [State<Res, Err>, Controls];
export declare const useLazySubscription: <Res, Err = string, Signal extends SignalIndicator = SignalIndicator>(signal: Signal) => [State<Res, Err>, LazyControls];
